Subject: Re: [PATCH 2/2] revision: do not include sibling history in --ancestry-path output

From: Brad King <[email-masked]>
Date: Fri, 26 Aug 2011 08:51:36 -0400

On 8/25/2011 9:00 PM, Junio C Hamano wrote:
> If the commit specified as the bottom of the commit range has a direct
> parent that has another child commit that contributed to the resulting
> history, "rev-list --ancestry-path" was confused and listed that side
> history as well.
>
>               D---E
>              /     \
>          ---X---A---B---C
>
> In this history, "rev-list --ancestry-path A..C" should list among what
> the corresponding command without --ancestry-path option would produce,
> namely, D, E, B and C, but limiting the result to those that are
> descendant of A (i.e. B and C). Due to the command line parser subtlety
> corrected by the previous commit, it also listed those that are descendant
> of X as well.
>
> Signed-off-by: Junio C Hamano<[email-masked]>
> ---
>   * And this should fix the breakage you demonstrated.

Yes it does, thanks.  It also makes the submodule search during recursive
merge work as I expect after the fix I tried (only run the search if
o->call_depth == 0).  I'll submit that patch separately when I find time.

Tested-by: Brad King <[email-masked]>

Thanks,
-Brad